Show / Hide Table of Contents

# Interface ISnowflakeEntity

Represents a Discord snowflake entity.

##### Inherited Members

IEntity<UInt64>.Id

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public interface ISnowflakeEntity : IEntity<ulong>

### Properties

| Improve this Doc View Source

#### CreatedAt

Gets when the snowflake was created.

##### Declaration

    DateTimeOffset CreatedAt { get; }

##### Property Value

Type | Description
--- | ---
System.DateTimeOffset | A System.DateTimeOffset representing when the entity was first created.